#! /bin/sh

function upd_conf {
 	# If there's no config file by that name, mv it over:
 	if ! test -e $1; then
 		mv $1.new $1
 	elif diff -q $1 $1.new; then	# toss the redundant copy
 		rm $1.new
 	fi
 	# Otherwise, we leave the .new copy for the admin to consider...
}

upd_conf etc/hddtemp.conf
upd_conf etc/rc.d/rc.hddtemp

# Figure out our root directory
ROOTDIR=$(pwd)
if test "$ROOTDIR" != "/"; then
ROOTDIR="${ROOTDIR}/"
fi

# Make us start on boot
if ! grep -q "rc.hddtemp start" etc/rc.d/rc.local; then
 	printf "Adding hddtemp to \033[4m${ROOTDIR}etc/rc.d/rc.local\033[0m so it starts at bootup time.\n" 1>&2
 	{	echo ""
 		echo "# hddtemp, disk temperature monitoring daemon"
 		echo "test -x /etc/rc.d/rc.hddtemp && /etc/rc.d/rc.hddtemp start"
 	} >> etc/rc.d/rc.local
else
 	printf "hddtemp is already in \033[4m${ROOTDIR}etc/rc.d/rc.local\033[0m.\n"
fi

# Make us stop on shutdown
if test ! -e etc/rc.d/rc.local_shutdown; then
 	touch etc/rc.d/rc.local_shutdown
 	chmod +x etc/rc.d/rc.local_shutdown
fi
if ! grep -q "rc.hddtemp stop" etc/rc.d/rc.local_shutdown 2>/dev/null; then
 	printf "Adding hddtemp to \033[4m${ROOTDIR}etc/rc.d/rc.local_shutdown\033[0m so it stops at shutdown time.\n" 1>&2
 	{	echo ""
 		echo "# hddtemp, disk temperature monitoring daemon"
 		echo "test -x /etc/rc.d/rc.hddtemp && /etc/rc.d/rc.hddtemp stop"
 	} >> etc/rc.d/rc.local_shutdown
else
 	printf "hddtemp is already in \033[4m${ROOTDIR}etc/rc.d/rc.local_shutdown\033[0m.\n"
fi
